# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global barename core-util-is

Name:               nodejs-core-util-is
Version:            1.0.2
Release:            %mkrel 6
Summary:            The util.is functions introduced in Node v0.12

Group:              Development/Other
License:            MIT
URL:                https://www.npmjs.org/package/core-util-is
Source0:            https://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch

BuildRequires:      nodejs-packaging >= 6

%description
The util.is functions introduced in Node v0.12.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/core-util-is
cp -pr package.json lib \
    %{buildroot}%{nodejs_sitelib}/core-util-is

%nodejs_symlink_deps

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/core-util-is/


%changelog
* Tue Mar 22 2022 umeabot <umeabot> 1.0.2-6.mga9
+ Revision: 1816846
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.2-5.mga8
+ Revision: 1492356
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.0.2-4.mga7
+ Revision: 1264836
- Mageia 7 Mass Rebuild

* Sat May 14 2016 joequant <joequant> 1.0.2-3.mga6
+ Revision: 1015237
- remove exclusive archs
- bump for build
- imported package nodejs-core-util-is

